Bug 1696586 - timedatectl fails to update /etc/localtime
Summary: timedatectl fails to update /etc/localtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-05 08:01 UTC by Ian
Modified: 2019-04-11 02:14 UTC (History)
6 users (show)

Fixed In Version: systemd-241-5.git3d835d0.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-11 02:14:22 UTC


Attachments (Terms of Use)

Description Ian 2019-04-05 08:01:19 UTC
Description of problem:
Changing timezone with timedatetctl results in an error "Failed to set time zone: Invalid timezone"

Version-Release number of selected component (if applicable):
systemd 239

How reproducible:
Every time.

Steps to Reproduce:
1. Set the timezone to anything other than the current timezone, e.g.
timedatectl set-timezone "Africa/Lome"


Actual results:
Error printed: "Failed to set time zone: Failed to update /etc/localtime"


Expected results:
No output, 0 return code.

Additional info:
Fails whether running as root or not. You can work around by changing the link by hand i.e. ln -sfn /usr/share/zoneinfo/Europe/London /etc/localtime

Comment 1 Fedora Update System 2019-04-09 17:03:01 UTC
systemd-241-5.git3d835d0.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3fa5db9e19

Comment 2 Fedora Update System 2019-04-10 14:38:06 UTC
systemd-241-5.git3d835d0.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3fa5db9e19

Comment 3 Fedora Update System 2019-04-11 02:14:22 UTC
systemd-241-5.git3d835d0.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.